Enhancer APIUsers
Get user profile
Returns a public user profile with a complete global bucket and paginated per-channel buckets.
Path Parameters
platform*string
Platform name.
Value in
- "twitch"
- "kick"
externalId*string
User external id or login.
Length
1 <= lengthQuery Parameters
page?integer
Zero-based channels page.
Range
0 <= valueDefault
0pageSize?integer
Number of channels per page.
Range
1 <= value <= 100Default
50Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/user/twitch/xqc?page=0&pageSize=50"{ "platform": "TWITCH", "accountId": "a1b85243-288d-4022-912e-7e76a49be380", "externalId": "71092938", "login": "xqc", "displayName": "xQc", "global": { "badges": [], "appearance": { "customNickname": null, "customFont": null, "hasGlow": false } }, "channels": [], "page": 0, "hasNextPage": false}